[arch-commits] Commit in php-suhosin/repos (3 files)

Pierre Schmitz pierre at archlinux.org
Thu Aug 14 05:16:27 EDT 2008


    Date: Thursday, August 14, 2008 @ 05:16:27
  Author: pierre
Revision: 8627

Merged revisions 1515-8626 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/php-suhosin/trunk

........
  r8626 | pierre | 2008-08-14 09:15:58 +0000 (Do, 14 Aug 2008) | 1 line
  
  upgpkg: php-suhosin 0.9.25-1
........

Modified:
  php-suhosin/repos/extra-x86_64/	(properties)
  php-suhosin/repos/extra-x86_64/PKGBUILD
Deleted:
  php-suhosin/repos/extra-x86_64/php-suhosin.install

---------------------+
 PKGBUILD            |   14 +++++++-------
 php-suhosin.install |   16 ----------------
 2 files changed, 7 insertions(+), 23 deletions(-)


Property changes on: php-suhosin/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /php-suhosin/trunk:1-1514
   + /php-suhosin/trunk:1-8626

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-08-14 09:15:58 UTC (rev 8626)
+++ extra-x86_64/PKGBUILD	2008-08-14 09:16:27 UTC (rev 8627)
@@ -1,7 +1,8 @@
 # $Id$
 # Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
 pkgname=php-suhosin
-pkgver=0.9.24
+pkgver=0.9.25
 pkgrel=1
 arch=('i686' 'x86_64')
 pkgdesc='Suhosin is an advanced protection system for PHP installations.'
@@ -9,19 +10,18 @@
 license='PHP'
 source=("http://download.suhosin.org/suhosin-${pkgver}.tgz")
 depends=('php')
-install=php-suhosin.install
 conflicts=('php-suhosin-extension')
 replaces=('php-suhosin-extension')
 backup=('etc/php/conf.d/suhosin.ini')
-md5sums=('1a0711bb4aaba90cc870611c503d1468')
+md5sums=('316f3c929c376b1ab03df1cfab898d94')
 
 build() {
-	cd $startdir/src/suhosin-$pkgver
+	cd ${srcdir}/suhosin-${pkgver}
 	phpize || return 1
 	./configure --prefix=/usr --enable-suhosin || return 1
 	make || return 1
-	make INSTALL_ROOT=${startdir}/pkg install || return 1
+	make INSTALL_ROOT=${pkgdir} install || return 1
 	# disable by default
-	sed -i "s|extension = suhosin.so|;extension=suhosin.so|g" suhosin.ini
-	install -D -m644 suhosin.ini ${startdir}/pkg/etc/php/conf.d/suhosin.ini
+	sed -i 's|extension = suhosin.so|;extension=suhosin.so|g' suhosin.ini
+	install -D -m644 suhosin.ini ${pkgdir}/etc/php/conf.d/suhosin.ini
 }

Deleted: extra-x86_64/php-suhosin.install
===================================================================
--- extra-x86_64/php-suhosin.install	2008-08-14 09:15:58 UTC (rev 8626)
+++ extra-x86_64/php-suhosin.install	2008-08-14 09:16:27 UTC (rev 8627)
@@ -1,16 +0,0 @@
-post_install() {
-  echo '
-    ==> PHP extension
-
-    A config file was stored under /etc/php/conf.d/. In order to use this
-    extension make sure to uncomment it from its config file.
-    '
-}
-
-post_upgrade() {
-  post_install
-}
-
-op=$1
-shift
-[ "$(type -t "$op")" = "function" ] && $op "$@"
\ No newline at end of file




More information about the arch-commits mailing list